@import "../../mixins.scss";

.email-logs {
  .header-actions {
    display: flex;
    justify-content: space-between;
    margin: 10px 0;
  }
  .project-list {
    background: white;
    .asc-order {
      margin: 0 !important;
    }
    .desc-order {
      margin: 0 !important;
    }
  }
  .email-list {
    background: var(--tile-bg);
  }
  .header.column-7 {
    grid-template-columns: 1.5fr 1.25fr 1.25fr 1fr 0.5fr;
    padding: 15px;
    display: grid;
    grid-template-rows: auto;
    border-bottom: solid 1px #d3dde0;
  }
  .row-panel {
    padding: 10px 15px 10px 15px;
    display: grid;
    grid-template-rows: auto;
    text-align: left;
    line-height: 1.55;
    font-weight: 500;
    cursor: pointer;
    grid-template-columns: 1.5fr 1.25fr 1.25fr 1fr 0.5fr;
    gap: 10px;
    .email-name {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      text-align: left;
      width: 100%;
      padding: 3px 0;
      color: #0071b5;
      &:hover {
        text-decoration: underline;
      }
    }
  }
  .html-data {
    border: 1px solid #ccc;
    padding: 5px;
    margin: 5px 0;
    .ql-container {
      border: none;
      .ql-editor {
        padding-top: 0;
        padding-bottom: 0;
        display: flex;
        flex-direction: column;
      }
    }
  }

  .Email-data {
    .top {
      display: flex;
      margin-top: 10px;
      justify-content: space-between;
      .right {
        min-width: 130px;
        .created {
          display: flex;
        }
      }
    }
  }
  .emails-text {
    font-weight: 500;
    padding: 3px 0px;
    display: flex;
  }
  .email-label {
    color: #999;
    padding: 0 5px 0 0;
    font-size: var(--font-xs);
  }
  .emails-files {
    font-weight: 500;
    padding: 3px 0px;
    display: flex;
    flex-direction: column;
  }
  .files {
    cursor: pointer;
    font-weight: 600;
  }
  button.square-btn.process-cr.btn.btn-primary {
    width: 79px;
    min-width: unset !important;
    font-weight: 600;
    float: left;
    margin: 5px 0 0 0;
    font-size: 11px;
    height: 20px;
    padding: 5px;
    line-height: 0.7;
  }

  #scrollableDiv {
    @include small_scroll();
  }

  .ordering {
    cursor: pointer;
  }
}
